<?php 
	$logo = get_option('custom_logo', EBOR_THEME_DIRECTORY . 'style/img/logo-dark.png'); 
	$logo_light = get_option('custom_logo_light', EBOR_THEME_DIRECTORY . 'style/img/logo-light.png');
?>

<nav class="pb16 pb-xs-0">
	
	<?php if( 'yes' == get_option('header_utility', 'yes') ) : ?>
	    <div class="nav-utility bg-primary">
	        <?php get_template_part('inc/content-header','utility'); ?>
	    </div>
    <?php endif; ?>
    
    <div class="pt120 pb80 pt-xs-40 pb-xs-16">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 text-center">
                    <a href="<?php echo esc_url(home_url('/')); ?>">
                        <img class="logo" alt="<?php echo esc_attr(get_bloginfo('title')); ?>" src="<?php echo esc_url($logo); ?>" />
                    </a>
                </div>
            </div>
        </div>
    </div>
    
    <div class="module widget-handle mobile-toggle text-center visible-xs">
        <i class="ti-menu"></i>
    </div>
    
    <div class="nav-bar text-center">
        <?php get_template_part('inc/content-header','menu'); ?>
    </div>
    
</nav>