<?php $sticky = ( is_sticky() ) ? esc_html__(' (sticky)','padre') : false; ?>

<section id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="container">
    
        <div class="row mb40 mb-xs-24">
            <div class="col-sm-12 text-center">
                <div class="ribbon mb24 mr24">
                    <h6 class="uppercase mb0"><?php echo get_the_time(get_option('date_format')) . $sticky; ?></h6>
                </div>
                <?php the_title('<a href="'. get_permalink() .'"><h2 class="alt-font">', '</h2></a>'); ?>
            </div>
        </div>
		
		<?php if( has_post_thumbnail() ) : ?>
	        <div class="row mb64 mb-xs-24">
	            <div class="col-sm-10 col-sm-offset-1 text-center">
	                <?php the_post_thumbnail('full'); ?>
	            </div>
	        </div>
        <?php endif; ?>

        <div class="row mb64 mb-xs-24">
            <div class="col-sm-8 col-sm-offset-2">
                <?php
                	the_content(esc_html__('Read More', 'padre'));
                	wp_link_pages();
                ?>
            </div>
        </div>

        <?php get_template_part('inc/content-post','social'); ?>

    </div>
</section>