<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $link
 * @var $size
 * @var $el_class
 * @var $css
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Gmaps
 */
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$zoom = 14; // deprecated 4.0.2. In 4.6 was moved outside from shortcode_atts
$type = 'm'; // deprecated 4.0.2
$bubble = ''; // deprecated 4.0.2

if ( '' === $link ) {
	return null;
}
$link = trim( vc_value_from_safe( $link ) );
$bubble = ( $bubble !== '' && $bubble !== '0' ) ? '&amp;iwloc=near' : '';
?>

<div class="map-holder pt120 pb120">

	<?php
		if ( preg_match( '/^\<iframe/', $link ) ) {
			echo ($link) ? $link : false;
		}
	?>
	
	<?php if( $content ) : ?>
		<div class="col-md-6 col-md-offset-3 col-sm-10 col-sm-offset-1 contact-details">
		    <div class="pt80 pb56 bg-white p32 overflow-hidden">
		        <div class="col-sm-10 col-sm-offset-1">
		            <?php echo wpautop(do_shortcode(htmlspecialchars_decode($content))); ?>
		        </div>
		    </div>
		</div>
	<?php endif; ?>
	
	<div class="align-bottom text-center">
	    <a href="#" class="btn toggle-map btn-filled"><?php _e('Toggle Map','padre'); ?></a>
	</div>
	
</div>