<?php
	if(!( get_option("post_social_url_1") ))
		return false;
?>

<div class="row">
    <div class="col-sm-12 text-center">
        <div class="inline-block">
        
            <h6 class="uppercase"><?php esc_html_e('Follow For More', 'padre'); ?></h6>
            
            <ul class="list-inline social-list">
                <?php
                	$protocols = array('http', 'https', 'ftp', 'ftps', 'mailto', 'news', 'irc', 'gopher', 'nntp', 'feed', 'telnet', 'skype');
                	
                	for( $i = 1; $i < 5; $i++ ){
                		if( get_option("post_social_url_$i") ) {
                			echo '
								<li>
									<a href="' . esc_url(get_option("post_social_url_$i"), $protocols) . '" target="_blank">
									  <i class="' . get_option("post_social_icon_$i") . '"></i>
									</a>
								</li>
                			';
                		}
                	} 
                ?>
            </ul>
            
        </div>
    </div>
</div>