<?php 
	get_header();
	the_post();
?>
	
	<section id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	    <div class="container">
	    
	        <div class="row mb40 mb-xs-24">
	            <div class="col-sm-12 text-center">
	                <?php the_title('<a href="'. get_permalink() .'"><h2 class="alt-font">', '</h2></a>'); ?>
	            </div>
	        </div>
			
			<?php if( has_post_thumbnail() ) : ?>
		        <div class="row mb64 mb-xs-24">
		            <div class="col-sm-10 col-sm-offset-1 text-center">
		                <?php the_post_thumbnail('full'); ?>
		            </div>
		        </div>
	        <?php endif; ?>
	
	        <div class="row mb64 mb-xs-24">
	            <div class="col-sm-8 col-sm-offset-2 post-content">
	                <?php
	                	the_content(esc_html__('Read More', 'padre'));
	                	wp_link_pages();
	                ?>
	            </div>
	        </div>
	        
	        <div class="row">
	        	<div class="col-sm-8 col-sm-offset-2">
			        <?php
			        	if( comments_open() )
			        		comments_template();
			        ?>
			    </div>
			</div>
	
	    </div>
	</section>
	
<?php
	get_footer();